## NAME

CURLOPT_DNS_INTERFACE - set interface to speak DNS over

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_DNS_INTERFACE, char *ifname);

## DESCRIPTION

Pass a char * as parameter. Set the name of the network interface that the DNS resolver should bind to. This must be an interface name (not an address). Set this option to NULL to use the default setting (don't bind to a specific interface).

## DEFAULT

NULL

## PROTOCOLS

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.33.0. This option also requires that libcurl was built with a resolver backend that supports this operation. The c-ares backend is the only such one.

## RETURN VALUE

Returns CURLE_OK if the option is supported, CURLE_UNKNOWN_OPTION if not, or CURLE_NOT_BUILT_IN if support was disabled at compile-time.

## SEE ALSO

CURLOPT_DNS_SERVERS CURLOPT_DNS_LOCAL_IP4

This HTML page was made with roffit.